#include "supprimerrayon.h"
#include "ui_supprimerrayon.h"
#include "QSystemTrayIcon"
#include"smtp.h"

supprimerrayon::supprimerrayon(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::supprimerrayon)
{
    ui->setupUi(this);
}

supprimerrayon::~supprimerrayon()
{
    delete ui;
}


void supprimerrayon::on_pushButton_clicked()
{
int id = ui->lineEdit->text().toInt();
bool test=tmprayon.supprimer(id);
if(test)
{
    Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
            s->sendMail("hajmoussa2368@gmail.com","kais.kasmi@esprit.tn","un rayon a été supprimer avec succés","Mr Kais");
    notifier = new QSystemTrayIcon(this);
    notifier->setIcon(QIcon("notification.png"));
    notifier->show();
    notifier->showMessage("Succés !","Le rayon a eté supprimé !",QSystemTrayIcon::Warning,10000);
    hide();
}
else
{
    notifier = new QSystemTrayIcon(this);
    notifier->setIcon(QIcon("notification.png"));
    notifier->show();
    notifier->showMessage("Erreur !","Le rayon n'a pas pu etre supprimé !",QSystemTrayIcon::Warning,10000);
}

}

